Skip to main content
POST
/
v1
/
emails
Create a new email
curl --request POST \
  --url https://api.xoxo.email/v1/emails \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subject": "<string>",
  "preview": "<string>",
  "body_html": "<string>",
  "body_text": "<string>",
  "group_id": "<string>",
  "like_enabled": true,
  "background_color": "<string>",
  "foreground_color": "<string>",
  "font_id": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "draft",
  "subject": "<string>",
  "preview": "<string>",
  "body_html": "<string>",
  "body_text": "<string>",
  "like_enabled": true,
  "background_color": "<string>",
  "foreground_color": "<string>",
  "font_id": "<string>",
  "sent_count": 123,
  "delivery_count": 123,
  "delivery_rate": 123,
  "bounce_count": 123,
  "bounce_rate": 123,
  "complaint_count": 123,
  "complaint_rate": 123,
  "like_count": 123,
  "like_rate": 123,
  "unsubscribe_count": 123,
  "unsubscribe_rate": 123,
  "scheduled_at": "2023-11-07T05:31:56Z",
  "sent_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://help.xoxo.email/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token. Pass as Authorization: Bearer <token>.

Body

application/json
subject
string
preview
string
body_html
string
body_text
string
group_id
string
like_enabled
boolean
background_color
string
foreground_color
string
font_id
string

Response

Success

id
string<uuid>
required
group_id
string<uuid> | null
required
status
enum<string>
required
Available options:
draft,
scheduled,
reviewing,
denied,
sending,
paused,
sent
subject
string | null
required
preview
string | null
required
body_html
string | null
required
body_text
string | null
required
like_enabled
boolean
required
background_color
string
required
foreground_color
string
required
font_id
string
required
sent_count
integer
required
delivery_count
integer
required
delivery_rate
number<double>
required
bounce_count
integer
required
bounce_rate
number<double>
required
complaint_count
integer
required
complaint_rate
number<double>
required
like_count
integer
required
like_rate
number<double>
required
unsubscribe_count
integer
required
unsubscribe_rate
number<double>
required
scheduled_at
string<date-time> | null
required
sent_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required